"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class PlinkSexCheck(ProtocolElement):
    """
    Plink sex check
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "F",
        "FID",
        "IID",
        "PEDSEX",
        "SNPSEX",
        "STATUS",
        "YCOUNT",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_1 import metrics as metrics_1_2_3

        return {
            "org.gel.models.report.avro.PlinkSexCheck": metrics_1_2_3.PlinkSexCheck,
        }

    __slots__ = [
        "F",
        "FID",
        "IID",
        "PEDSEX",
        "SNPSEX",
        "STATUS",
        "YCOUNT",
    ]

    def __init__(
        self,
        F,
        FID,
        IID,
        PEDSEX,
        SNPSEX,
        STATUS,
        YCOUNT,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_3.PlinkSexCheck model.

        :param F:
        :type F: double
        :param FID:
        :type FID: str
        :param IID:
        :type IID: str
        :param PEDSEX:
        :type PEDSEX: double
        :param SNPSEX:
        :type SNPSEX: double
        :param STATUS:
        :type STATUS: str
        :param YCOUNT:
        :type YCOUNT: double
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.3"
